> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # AddUser POST https://api.voximplant.com/platform_api/AddUser Adds a new user. Allowed roles: `Owner`, `Admin`, `User manager`. **Example request:** Add a new user. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/users/add-user ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `user_name` (string, required) — The user name in format \[a-z0-9]\[a-z0-9\_-] - `user_display_name` (string, required) — The user display name. The length must be less than 256 - `user_password` (string, required) — The user password. Must be at least 8 characters long and contain at least one uppercase and lowercase letter, one number, and one special character - `application_id` (integer, optional) — The application ID which a new user is to be bound to. **Required** unless **application_name** is provided. - `application_name` (string, optional) — The application name which a new user is to be bound to. **Required** unless **application_id** is provided. - `parent_accounting` (boolean, optional) — Whether the user uses the parent account's money, 'false' if the user has a separate balance - `user_active` (boolean, optional, default: true) — Whether the user is active. Inactive users cannot log in to applications - `user_custom_data` (string, optional) — Any string ## Response ### 200 Successful response - `result` (integer, optional) — Returns 1 if the request has been completed successfully - `user_id` (integer, optional) — The new user ID ## Examples **Request** ```json {} ``` **Response** ```json { "result": 1, "user_id": 98765 } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/AddUser" querystring = {"user_name":"john_doe99","user_display_name":"John Doe","user_password":"Str0ngP@ssw0rd!","application_id":"12345","parent_accounting":"false","user_active":"true","user_custom_data":"Preferred language: English"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/AddUser?user_name=john_doe99&user_display_name=John+Doe&user_password=Str0ngP%40ssw0rd%21&application_id=12345&parent_accounting=false&user_active=true&user_custom_data=Preferred+language%3A+English")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```